System.ServiceModel 4.0.0.0 System.Object

The value of the identity for an endpoint can be set with constructors of , where its value can also be accessed as a read-only property.

An abstract class that when implemented provides an identity that enables the authentication of an endpoint by clients that exchange messages with it.

- Constructor
  4.0.0.0
  To be added.

  Creates an empty instance.

- Method
  4.0.0.0
  System.ServiceModel.EndpointIdentity ``

  A secure indigo2 client that connects to an endpoint with this identity verifies that the claims presented by the server contain a DNS claim that represents this identity.

  This static method creates an instance of by calling its constructor .

  Creates a DNS identity with a specified DNS name.

  A DNS associated with the specified .

  The name for the DNS identity.
- Method
  4.0.0.0
  System.ServiceModel.EndpointIdentity ``

  A secure indigo2 client that connects to an endpoint with this identity verifies that the claims presented by the server contain the identity claim used to construct this identity.

  This method can create an identity of type , , , or .

  Creates an identity with the specified claim.

  An associated with the specified .

  A used to create the new identity.
- Method
  4.0.0.0
  System.ServiceModel.EndpointIdentity ``

  A secure indigo2 client that connects to an endpoint with this identity verifies that the claims presented by the server contain a claim that contains the RSA public key obtained from the certificate used to construct this identity.

  This static method creates an instance of by calling its constructor, .

  Creates an RSA identity with the specified X.509 certificate.

  An RSA associated with the specified .

  An that contains the certificate for the RSA identity.
- Method
  4.0.0.0
  System.ServiceModel.EndpointIdentity ``

  A secure indigo2 client that connects to an endpoint with this identity verifies that the claims presented by the server contain a claim that contains the RSA public key used to construct this identity.

  This static method creates an instance of by calling its constructor, .

  Creates an RSA identity with the specified public key.

  An RSA associated with the specified .

  The public key for the RSA identity.
- Method
  4.0.0.0
  System.ServiceModel.EndpointIdentity ``

  A secure indigo2 client that connects to an endpoint with this identity uses the SPN when performing SSPI authentication with the endpoint.

  This static method creates an instance of by calling its constructor, , using as the input parameter.

  If is specified with an empty string, authentication falls back from Kerberos to NTLM if possible. If is false, authentication fails.

  Creates a server principal name (SPN) identity with a specified name.

  An SPN associated with the specified .

  The name for the SPN identity.
- Method
  4.0.0.0
  System.ServiceModel.EndpointIdentity ``

  A secure indigo2 client that connects to an endpoint with this identity uses the UPN when performing SSPI authentication with the endpoint.

  This static method creates an instance of by calling its constructor, , using as the input parameter.

  If is specified with an empty string, authentication falls back from Kerberos to NTLM if possible. If is false, indigo2 makes a best-effort to throw an exception if NTLM is used. Note that setting this property to false may not prevent NTLM credentials from being sent over the wire.

  Creates a user principal name (UPN) identity with a specified name.

  A UPN associated with the specified .

  The name for the UPN identity.
- Method
  4.0.0.0
  System.ServiceModel.EndpointIdentity ``

  A secure indigo2 client that connects to an endpoint with this identity verifies that the claims presented by the server contain the claim that contains the thumbprint of the certificate used to construct this identity.

  This static method creates an instance of by calling its constructor, , using as the input parameter.

  Creates an X509Certificate identity with the specified certificate.

  An X509Certificate associated with the specified .

  An that contains the certificate for the identity.
- Method
  4.0.0.0
  System.ServiceModel.EndpointIdentity `` ``

  This static method creates an instance of by calling its constructor, , using and as input parameters.

  Creates an X509Certificate identity with the specified primary and supporting certificates.

  A secure indigo2 client that connects to an endpoint with this identity verifies that the claims presented by the server contain the claim that contains the thumbprint of the certificate used to construct this identity.

  An X509Certificate associated with the specified and

  An that contains the primary certificate for the identity. An that contains the supporting certificates for the identity.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added.

  Returns a value that determines whether a specified object is equal to the current identity object or if they have equal security properties.

  true if the specified object is equivalent to the current identity or contains the same security properties; otherwise, false.

- Method
  4.0.0.0
  System.Int32 To be added.

  Provides a hash code for the current instance of the identity.

  The hash code for the current identity.

- Property
  4.0.0.0
  System.IdentityModel.Claims.Claim To be added.

  Clients that authenticate the server should verify that the claims that represent the server contain the identity claim provided by the EndpointIdentity.

  Gets the identity claim that corresponds to the identity.

- Method
  4.0.0.0
  System.Void `` To be added.

  This method is called by the constructors of all the classes derived from ).

  Initializes an with the specified claim.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added.

  Initializes an with the specified claim and an interface and compares equality.

- Method
  4.0.0.0
  System.String To be added.

  Returns the identity.

  A of the form "identity(string)" where string = .